std::bernoulli_distribution Class Reference
Numerics » Random Number Generation » Random Number Distributions » Bernoulli Distributions

`#include <random.h>`

## Classes

struct | param_type

## Public Types

typedef bool | result_type

## Public Member Functions

| bernoulli_distribution ()
| bernoulli_distribution (const param_type &__p)
| bernoulli_distribution (double __p)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator >
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator >
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
double | p () const
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

bool | operator== (const bernoulli_distribution &__d1, const bernoulli_distribution &__d2)

## Detailed Description

A Bernoulli random number distribution.

Generates a sequence of true and false values with likelihood that true will come up and that false will appear.

Definition at line 3515 of file random.h.

## Member Typedef Documentation

## result_type

typedef bool std::bernoulli_distribution::result_type

The type of the range of the distribution.

Definition at line 3519 of file random.h.

## Constructor & Destructor Documentation

## bernoulli_distribution() [1/3]

std::bernoulli_distribution::bernoulli_distribution | ( |  | ) |

inline

Constructs a Bernoulli distribution with likelihood 0.5.

Definition at line 3555 of file random.h.

## bernoulli_distribution() [2/3]

std::bernoulli_distribution::bernoulli_distribution | ( | double | __p | ) |

inline explicit

Constructs a Bernoulli distribution with likelihood `p`.

Parameters

  __p | [IN] The likelihood of a true result being returned. Must be in the interval .

Definition at line 3564 of file random.h.

## bernoulli_distribution() [3/3]

std::bernoulli_distribution::bernoulli_distribution | ( | const param_type & | __p | ) |

inline explicit

Definition at line 3569 of file random.h.

## Member Function Documentation

## __generate() [1/3]

template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >

void std::bernoulli_distribution::__generate | ( | _ForwardIterator | __f,
|  | _ForwardIterator | __t,
|  | _UniformRandomNumberGenerator & | __urng
| ) |  |

inline

Definition at line 3641 of file random.h.

## __generate() [2/3]

template<typename _ForwardIterator , typename _UniformRandomNumberGenerator >

void std::bernoulli_distribution::__generate | ( | _ForwardIterator | __f,
|  | _ForwardIterator | __t,
|  | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p
| ) |  |

inline

Definition at line 3648 of file random.h.

## __generate() [3/3]

template<typename _UniformRandomNumberGenerator >

void std::bernoulli_distribution::__generate | ( | result_type * | __f,
|  | result_type * | __t,
|  | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p
| ) |  |

inline

Definition at line 3654 of file random.h.

## max()

result_type std::bernoulli_distribution::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 3614 of file random.h.

References std::numeric_limits< _Tp >::max().

## min()

result_type std::bernoulli_distribution::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 3607 of file random.h.

References std::numeric_limits< _Tp >::min().

## operator()() [1/2]

template<typename _UniformRandomNumberGenerator >

result_type std::bernoulli_distribution::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 3622 of file random.h.

References operator()().

Referenced by operator()().

## operator()() [2/2]

template<typename _UniformRandomNumberGenerator >

result_type std::bernoulli_distribution::operator() | ( | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p
| ) |  |

inline

Definition at line 3627 of file random.h.

## p()

double std::bernoulli_distribution::p | ( |  | ) | const

inline

Returns the `p` parameter of the distribution.

Definition at line 3585 of file random.h.

## param() [1/2]

param_type std::bernoulli_distribution::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 3592 of file random.h.

Referenced by std::operator>>().

## param() [2/2]

void std::bernoulli_distribution::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 3600 of file random.h.

## reset()

void std::bernoulli_distribution::reset | ( |  | ) |

inline

Resets the distribution state.

Does nothing for a Bernoulli distribution.

Definition at line 3579 of file random.h.

## Friends And Related Symbol Documentation

## operator==

bool operator== | ( | const bernoulli_distribution & | __d1,
|  | const bernoulli_distribution & | __d2
| ) |  |

friend

Return true if two Bernoulli distributions have the same parameters.

Definition at line 3664 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc